#!/bin/sh -e

# called by uscan with '--upstream-version' <version> <file>

TAR=libajaxtags-java_$2.orig.tar.gz

# clean up the upstream tarball
unzip $3
tar -c -z -f $TAR --exclude '*.jar' --exclude '*.class' \
  --exclude '*src/main/resources/*' ajaxtags-*/
rm -rf $3 ajaxtags-*/

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
  . .svn/deb-layout
  mv $TAR $origDir
  echo "moved $TAR to $origDir"
fi

